Bug 1463404 - [abrt] bluez: ba2str(): bluetoothd killed by signal 11
[abrt] bluez: ba2str(): bluetoothd killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0c1a9c16adb9197e3617e872860...
:
: 1467972 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 16:01 EDT by Kazimieras Vaina
Modified: 2017-11-05 11:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.44 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: cgroup (273 bytes, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: core_backtrace (3.15 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: cpuinfo (1.10 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: dso_list (1.82 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: environ (176 bytes, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: maps (8.93 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: open_fds (1.89 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: proc_pid_status (1.22 KB, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details
File: var_log_messages (489 bytes, text/plain)
2017-06-20 16:01 EDT, Kazimieras Vaina
no flags Details

  None (edit)
Description Kazimieras Vaina 2017-06-20 16:01:32 EDT
Description of problem:
Bluetooth daemon crashes while pairing August stereo headphones recognized as EP636

Version-Release number of selected component:
bluez-5.44-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: ba2str
executable:     /usr/libexec/bluetooth/bluetoothd
journald_cursor: s=382fd85ec11c4d2da1664bf4e1c7323e;i=80d;b=dde82aef32a448f6bf2d4076cfb5ecd1;m=13f5b0c5;t=5526cddb971aa;x=fec552813d425a55
kernel:         4.11.0-2.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 ba2str at lib/bluetooth.c:79
 #1 update_bredr_services at src/device.c:4305
 #2 browse_cb at src/device.c:4536
 #3 search_completed_cb at src/sdp-client.c:205
 #4 sdp_process at lib/sdp.c:4354
 #5 search_process_cb at src/sdp-client.c:230

Potential duplicate: bug 1206532
Comment 1 Kazimieras Vaina 2017-06-20 16:01:40 EDT
Created attachment 1289830 [details]
File: backtrace
Comment 2 Kazimieras Vaina 2017-06-20 16:01:42 EDT
Created attachment 1289831 [details]
File: cgroup
Comment 3 Kazimieras Vaina 2017-06-20 16:01:43 EDT
Created attachment 1289832 [details]
File: core_backtrace
Comment 4 Kazimieras Vaina 2017-06-20 16:01:45 EDT
Created attachment 1289833 [details]
File: cpuinfo
Comment 5 Kazimieras Vaina 2017-06-20 16:01:47 EDT
Created attachment 1289834 [details]
File: dso_list
Comment 6 Kazimieras Vaina 2017-06-20 16:01:48 EDT
Created attachment 1289835 [details]
File: environ
Comment 7 Kazimieras Vaina 2017-06-20 16:01:50 EDT
Created attachment 1289836 [details]
File: exploitable
Comment 8 Kazimieras Vaina 2017-06-20 16:01:51 EDT
Created attachment 1289837 [details]
File: limits
Comment 9 Kazimieras Vaina 2017-06-20 16:01:53 EDT
Created attachment 1289838 [details]
File: maps
Comment 10 Kazimieras Vaina 2017-06-20 16:01:56 EDT
Created attachment 1289839 [details]
File: open_fds
Comment 11 Kazimieras Vaina 2017-06-20 16:01:57 EDT
Created attachment 1289840 [details]
File: proc_pid_status
Comment 12 Kazimieras Vaina 2017-06-20 16:01:59 EDT
Created attachment 1289841 [details]
File: var_log_messages
Comment 13 Kazimieras Vaina 2017-06-20 16:27:32 EDT
There is no problem using older bluez version https://koji.fedoraproject.org/koji/buildinfo?buildID=840926
Comment 14 Humberto Borba 2017-07-13 23:46:47 EDT
Similar problem has been detected:

1. Turn on bluetooth
2. Turn on BT headset (Sony BT Headset XB950BT) and active it to be found by computer
3. Select it from BT device list at computer and try to pair
4. bluetoothd crashes and BT application shows it off.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: ba2str
executable:     /usr/libexec/bluetooth/bluetoothd
journald_cursor: s=8c590612a1554d0dba288c459b32d4a0;i=12a1e9;b=20cc1ac8ae984108a52f2df07d48b777;m=10912a3dc6;t=55438f29abbc5;x=307c6835e201e00a
kernel:         4.11.9-300.fc26.x86_64
package:        bluez-5.45-1.fc26
reason:         bluetoothd killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 15 Humberto Borba 2017-07-13 23:49:14 EDT
*** Bug 1467972 has been marked as a duplicate of this bug. ***
Comment 16 Marco Schmidt 2017-07-30 09:47:51 EDT
Still the same with bluez 5.46... Happens when pairing with ANY device since I updated to F26 (on two different machines)

reporter:       libreport-2.10.3
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: ba2str
executable:     /usr/libexec/bluetooth/bluetoothd
kernel:         4.11.11-300.fc26.x86_64
package:        bluez-5.46-1.fc26
reason:         bluetoothd killed by signal 11
rootdir:        /
runlevel:       N 5
Comment 17 Rolle 2017-11-05 11:05:35 EST
Similar problem has been detected:

I paired the laptop with a bluetooth speaker (JBL Flip 4). This succeeded. The next day I tried it again but the known devices doesn't pairing. So I removed the known devices from the list. After that the speaker occured again to the list. But after pairing it crashed immediately. This crash occurs since than again and again on every pairing try.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: ba2str
executable:     /usr/libexec/bluetooth/bluetoothd
journald_cursor: s=ccbd0ae177914081bfef77ec7edf63c0;i=7f405f;b=52d006d1238f47a094dde4ed2ea5f3ca;m=13cebeac;t=55d18979054bb;x=661dbbbfc32bed78
kernel:         4.13.10-200.fc26.x86_64
package:        bluez-5.46-6.fc26
reason:         bluetoothd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Note You need to log in before you can comment on or make changes to this bug.